#!/bin/bash -e

echo "================== Installing java packages ==================="

if [ $JAVA_VERSION = "17" ]
then
  GRADLE_VERSION="7.4.1"
else
  GRADLE_VERSION="6.9"
fi

echo "Installing gradle version: $GRADLE_VERSION"
echo "================ Installing gradle ================="
wget -nv https://services.gradle.org/distributions/gradle-$GRADLE_VERSION-all.zip
unzip -qq gradle-$GRADLE_VERSION-all.zip -d /usr/local && rm -f gradle-$GRADLE_VERSION-all.zip
ln -fs /usr/local/gradle-$GRADLE_VERSION/bin/gradle /usr/bin
echo "export PATH=$PATH:/usr/local/gradle-$GRADLE_VERSION/bin" >> /etc/drydock/.env

APACHE_MAVEN_MAJOR_VERSION=3
APACHE_MAVEN_VERSION=3.8.4
echo "Installing apache-maven version: $APACHE_MAVEN_VERSION"
echo "================ Installing apache-maven-$APACHE_MAVEN_VERSION ================="
wget -nv https://archive.apache.org/dist/maven/maven-$APACHE_MAVEN_MAJOR_VERSION/$APACHE_MAVEN_VERSION/binaries/apache-maven-$APACHE_MAVEN_VERSION-bin.tar.gz
tar xzf apache-maven-$APACHE_MAVEN_VERSION-bin.tar.gz -C /usr/local && rm -f apache-maven-$APACHE_MAVEN_VERSION-bin.tar.gz
ln -fs /usr/local/apache-maven-$APACHE_MAVEN_VERSION/bin/mvn /usr/bin
echo "export PATH=$PATH:/usr/local/apache-maven-$APACHE_MAVEN_VERSION/bin" >> /etc/drydock/.env
echo "export M2_HOME=/usr/local/apache-maven-$APACHE_MAVEN_VERSION/" >> /etc/drydock/.env

APACHE_ANT_VERSION=1.10.12
echo "Installing apache-ant version: $APACHE_ANT_VERSION"
echo "================ Installing apache-ant-$APACHE_ANT_VERSION ================="
wget -nv https://archive.apache.org/dist/ant/binaries/apache-ant-$APACHE_ANT_VERSION-bin.tar.gz
tar xzf apache-ant-$APACHE_ANT_VERSION-bin.tar.gz -C /usr/local && rm -f apache-ant-$APACHE_ANT_VERSION-bin.tar.gz
ln -fs /usr/local/apache-ant-$APACHE_ANT_VERSION/bin/ant /usr/bin
echo "export ANT_HOME=/usr/local/apache-ant-$APACHE_ANT_VERSION" >> /etc/drydock/.env
echo "export PATH=$PATH:/usr/local/apache-ant-$APACHE_ANT_VERSION/bin" >> /etc/drydock/.env

echo "================ Installing openjdk-"$JAVA_VERSION"-jdk ================="

if [ "$JAVA_VERSION" = "8" ]
then
  sudo yum install -y java-1.8.0-openjdk-devel
  ln -s /usr/lib/jvm/java-1.8.0-openjdk /usr/lib/jvm/java-8-openjdk-amd64
  update-alternatives --install /usr/bin/java java /usr/lib/jvm/java-8-openjdk-amd64/bin/java 1
  update-alternatives --install /usr/bin/javac javac /usr/lib/jvm/java-8-openjdk-amd64/bin/javac 1
elif [ "$JAVA_VERSION" = "11" ]
then
  sudo yum install -y java-11-openjdk-devel
elif [ "$JAVA_VERSION" = "17" ]
then
  sudo rpm --import https://yum.corretto.aws/corretto.key
  sudo curl -L -o /etc/yum.repos.d/corretto.repo https://yum.corretto.aws/corretto.repo
  sudo yum install -y java-17-amazon-corretto-devel
fi